Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455700 - Review Request: kpackagekit - KDE packagekit interface
Summary: Review Request: kpackagekit - KDE packagekit interface
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 455585
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-17 08:57 UTC by Steven M. Parrish
Modified: 2009-01-09 15:02 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-09 15:02:28 UTC
rdieter: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Steven M. Parrish 2008-07-17 08:57:31 UTC
SPEC, SRPM & Build log are here http://tuxbrewr.fedorapeople.org/kpackagekit/
Description: KPackageKit is the KDE interface for PackageKit.

Depends on packagekit-qt https://bugzilla.redhat.com/show_bug.cgi?id=455585

Comment 1 Rex Dieter 2008-07-17 23:00:58 UTC
A few initial comments:
1.  drop qt4-devel (kdelibs-devel pulls that in already)
2.  BR: kdelibs4-devel
3.  drop hard-coded Requires: PackageKit-libs (auto deps should find this).  Not
sure about 'PackageKit'
4.  drop -DCMAKE_SKIP_RPATH:BOOL=ON (should be included in standard/default
%cmake macro already).
5.  for betas/prelreleases, should use a Release tag something like:
Release: 0.1.%{betaversion}
instead.

Comment 2 Steven M. Parrish 2008-07-18 16:09:04 UTC
all done  spec and srpm in same place.

Comment 3 Steven M. Parrish 2008-07-24 12:06:11 UTC
New SPEC and SRPM uploaded to http://tuxbrewr.fedorapeople.org/kpackagekit/

Build logs here: http://koji.fedoraproject.org/koji/taskinfo?taskID=735971

Comment 4 Rex Dieter 2008-07-24 12:16:24 UTC
close enough.  the remaining items are cosmetic and can be dealt with post
review.  :)  (don't build anything until we have a chance to go over that together)

upstream sources verified:
5dd2cffe88091c495f93ffd256faa68e  84745-kpackagekit-0.1-b3.tar.bz2

license: ok

APPROVED.





Comment 5 Steven M. Parrish 2008-07-24 12:21:59 UTC
New Package CVS Request
=======================
Package Name: kpackagekit
Short Description: KDE packagekit interface
Owners: tuxbrewr
Branches: F9
InitialCC: rdieter, kkofler
Cvsextras Commits: yes


Comment 6 Kevin Fenzi 2008-07-24 18:26:52 UTC
cvs done.

Comment 7 Ville Skyttä 2008-07-25 19:58:09 UTC
(In reply to comment #4)
> the remaining items are cosmetic and can be dealt with post
> review.  :)  (don't build anything until we have a chance to go over that
together)

Doing that here in Bugzilla would almost certainly help more contributors than
doing it in private...


Note You need to log in before you can comment on or make changes to this bug.